//----------------------------------------------------------------------------
//  Project SetMsIr
//  Hiromu Okada
//  Copyright (c) 1997. All Rights Reserved.
//
//  TuVXe: SetMsIr Application
//  t@C:     stmsirdc.cpp
//  쐬:       Hiromu Okada
//
//  Tv
//  ~~~~
//  TSetMsIrDlgClient (TDialog) ̃Cve[Vp̃\[Xt@C
//
//----------------------------------------------------------------------------

#include <owl/pch.h>
#include <stdio.h>

#include "stmsirap.h"
#include "stmsirdc.h"


//
// ̃AvP[Vŏ邷ׂẴbZ[W^R}h̉e[u쐬
//
DEFINE_RESPONSE_TABLE1(TSetMsIrDlgClient, TDialog)
//{{TSetMsIrDlgClientRSP_TBL_BEGIN}}
  EV_BN_CLICKED(IDC_VESIONHELP, VersionHelpBNClicked),
  EV_BN_CLICKED(IDC_BUTTON1, ForTranxitBNClicked),
  EV_BN_CLICKED(IDC_BUTTON2, ForOthersBNClicked),
  EV_MESSAGE(WM_USER+1000,WmAction),
  EV_BN_CLICKED(IDC_BUTTON4, DeleteRegistoryBNClicked),
  EV_BN_CLICKED(IDC_BUTTON5, RoadMemoryStartupBNClicked),
  EV_BN_CLICKED(IDC_BUTTON6, RoadMemoryYouNeedBNClicked),
  EV_BN_CLICKED(IDC_BUTTON7, KillMsIrdaBNClicked),
//{{TSetMsIrDlgClientRSP_TBL_END}}
END_RESPONSE_TABLE;


//{{TSetMsIrDlgClient Implementation}}


//--------------------------------------------------------
// TSetMsIrDlgClient
// ~~~~~~~~~~
// \z / j󎞂̏
//
static TSetMsIrDlgClientXfer TSetMsIrDlgClientData;

TSetMsIrDlgClient::TSetMsIrDlgClient(TWindow* parent, TResId resId, TModule* module)
:
  TDialog(parent, resId, module)
{
//{{TSetMsIrDlgClientXFER_USE}}
  StatusEdit = new TStatic(this, IDD_STATUS, 255);

  SetTransferBuffer(&TSetMsIrDlgClientData);
//{{TSetMsIrDlgClientXFER_USE_END}}

  // INSERT>> RXgN^p̃R[h͂
  SetMsIr=new TSetMsIr();
}


TSetMsIrDlgClient::~TSetMsIrDlgClient()
{
  Destroy();

  // INSERT>> fXgN^p̃R[h͂
}

void TSetMsIrDlgClient::VersionHelpBNClicked()
{
  // INSERT>> ǉR[h͂
	(TYPESAFE_DOWNCAST(GetApplication(),TSetMsIrApp))->CmHelpAbout ();
}


void TSetMsIrDlgClient::ForTranxitBNClicked()
{
  // INSERT>> ǉR[h͂

  GetApplication()->GetMainWindow()->SetWindowText("MSIrDA-UI");
  if(SetMsIr->SetMsIrToEnable(false))
  {
    StatusEdit->SetText(SetMsIr->SettingMessageStr);
  	//StatusEdit->SetText("IrDA Driver setup is succesfull!\r\nPossible start Tranxit on IrDA devices.");
  }
  else
  {
  	StatusEdit->SetText(SetMsIr->SettingMessageStr);
    GetApplication()->GetMainWindow()->SetWindowText("MSIrDA-UI - fault -");
  }

}


void TSetMsIrDlgClient::ForOthersBNClicked()
{
  // INSERT>> ǉR[h͂



  GetApplication()->GetMainWindow()->SetWindowText("MSIrDA-UI");
  if(SetMsIr->SetMsIrToEnable(true))
  {
    StatusEdit->SetText(SetMsIr->SettingMessageStr);
  	//StatusEdit->SetText("IrDA Driver setup is succesfull!\r\nPossible start software using IrDA .");
  }
  else
  {
  	StatusEdit->SetText(SetMsIr->SettingMessageStr);
    GetApplication()->GetMainWindow()->SetWindowText("MSIrDA-UI - fault -");
  }


}


void TSetMsIrDlgClient::SetupWindow()
{
  TDialog::SetupWindow();

  // INSERT>> ǉR[h͂
  GetApplication()->GetMainWindow()->SetWindowText("MSIrDA-UI");
  PostMessage(WM_USER+1000,NULL,NULL);


}



LRESULT TSetMsIrDlgClient::WmAction(WPARAM , LPARAM )
{

  // INSERT>> ǉR[h͂
  HWND hWndTraxit;
  hWndTraxit=NULL;
  //char test[100];


  if(_argc>2)
  {
  	sscanf(_argv[2],"/H%x",&hWndTraxit);
  	//wsprintf(test,"%x",hWndTraxit);
    //::MessageBox(NULL,test,"",MB_OK);
  }

  GetApplication()->GetMainWindow()->SetWindowText("MSIrDA-UI");
  if(_argc>1)
  {
    //::MessageBox(NULL,_argv[1],"",MB_OK);
  	if (strncmp(_argv[1],"/E",2)==0)
    {
    	if(SetMsIr->SetMsIrToEnable(true))
        {
            if(hWndTraxit!=NULL)
            {
            	::PostMessage(hWndTraxit,WM_USER+1000,true,NULL);
                CloseWindow();
            }
            else
            {
        		CloseWindow();
            }
        }
        else
        {
        	GetApplication()->GetMainWindow()->ShowWindow(SW_NORMAL);
            StatusEdit->SetText(SetMsIr->SettingMessageStr);
            GetApplication()->GetMainWindow()->SetWindowText("MSIrDA-UI - fault -");
            if(hWndTraxit!=NULL)
            {
            	::PostMessage(hWndTraxit,WM_USER+1000,false,NULL);
                CloseWindow();
            }

        }
    }
    else if (strncmp(_argv[1],"/D",2)==0)
    {
    	if(SetMsIr->SetMsIrToEnable(false))
        {
            if(hWndTraxit!=NULL)
            {
            	::PostMessage(hWndTraxit,WM_USER+1000,true,NULL);
                CloseWindow();
            }
            else
            {
        		CloseWindow();
            }
        }
        else
        {
        	GetApplication()->GetMainWindow()->ShowWindow(SW_NORMAL);
            StatusEdit->SetText(SetMsIr->SettingMessageStr);
            GetApplication()->GetMainWindow()->SetWindowText("MSIrDA-UI - fault -");
            if(hWndTraxit!=NULL)
            {
            	::PostMessage(hWndTraxit,WM_USER+1000,false,NULL);
                CloseWindow();
            }
        }
    }
    else if (strncmp(_argv[1],"/K",2)==0)
    {
    	if(SetMsIr->SetMsIrToKill())
        {
            if(hWndTraxit!=NULL)
            {
            	::PostMessage(hWndTraxit,WM_USER+1000,true,NULL);
                CloseWindow();
            }
            else
            {
        		CloseWindow();
            }
        }
        else
        {
        	GetApplication()->GetMainWindow()->ShowWindow(SW_NORMAL);
            StatusEdit->SetText(SetMsIr->SettingMessageStr);
            GetApplication()->GetMainWindow()->SetWindowText("MSIrDA-UI - fault -");
            if(hWndTraxit!=NULL)
            {
            	::PostMessage(hWndTraxit,WM_USER+1000,false,NULL);
                CloseWindow();
            }
        }
    }
    else if (strncmp(_argv[1],"/F",2)==0)
    {
		char SystemDirectoryName[64];
//WindowsDirectory
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetWindowsDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\IRXFER.EXE")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }
//WindowsApplogDirectory
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetWindowsDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\APPLOG\\IRMON.LGC")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }
//WindowsHelpDirectory
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetWindowsDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\HELP\\IRXFER.CNT")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetWindowsDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\HELP\\IRXFER.HLP")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }
//WindowsInfDirectory
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetWindowsDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\INF\\infrared.PNF")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetWindowsDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\INF\\CATALOG\\FASTIR.CAT")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }
//WindowsMEDIADirectory
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetWindowsDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\MEDIA\\IR_BEGIN.WAV")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetWindowsDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\MEDIA\\IR_END.WAV")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetWindowsDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\MEDIA\\IR_INTER.WAV")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetWindowsDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\MEDIA\\IR_NEW.WAV")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }
//WindowsSendoToirectory
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetWindowsDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\SendTo\\Infrared Recipient.lnk")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetWindowsDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\SendTo\\ԊO̎M.lnk")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }

//SystemDirectory
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetSystemDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\FASTIR.VXD")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetSystemDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\INFRARED.CPL")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetSystemDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\IRCOMM.VXD")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetSystemDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\IRENUM.VXD")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetSystemDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\IRLAMP.VXD")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetSystemDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\IRLAPFRM.VXD")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetSystemDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\IRMINI.SYS")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetSystemDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\IRMON.EXE")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetSystemDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\IRSHELL.DLL")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }
	    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    	GetSystemDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
	    strcat(SystemDirectoryName,"\\WSIRDA.VXD")  ;
  		//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
	    if(::DeleteFile(SystemDirectoryName)==false)
        {
        	//::MessageBox(NULL,SystemDirectoryName,"Can not delete file!",MB_OK);
        }


        CloseWindow();
    }
    else
    {
    	GetApplication()->GetMainWindow()->ShowWindow(SW_NORMAL);
        StatusEdit->SetText(SetMsIr->SettingMessageStr);
    	if(hWndTraxit!=NULL)
        {
           	::PostMessage(hWndTraxit,WM_USER+1000,false,NULL);
            CloseWindow();
        }
    }
  }
  else
  {

  }

  return true;
}


void TSetMsIrDlgClient::DeleteRegistoryBNClicked()
{
  // INSERT>> ǉR[h͂
	HKEY  hkResult;
	HKEY  hkResult2;
	unsigned long cbValue;
	DWORD dwType;
   	char lpszValue[300];
    char test[100];
    DWORD NumDword[10];
    char KeyName[32];
	char SystemDirectoryName[256];
	if(::RegOpenKeyEx(HKEY_LOCAL_MACHINE, "Enum\\Infrared",0,
				KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
	{
		//cbValue=sizeof(lpszValue);
        //memset(lpszValue,'\0',sizeof(lpszValue));
		cbValue=sizeof(NumDword);
        memset(NumDword,'\0',sizeof(NumDword));
		dwType=REG_DWORD;
		if(::RegQueryValueEx(hkResult ,(char far *)"Installed",NULL,
			&dwType	,(LPBYTE)(NumDword),&cbValue)==ERROR_SUCCESS)
		{
        	NumDword[0]=NumDword[0]-1L;
            if(RegSetValueEx(hkResult,(char far *)"Installed", 0,dwType ,(LPBYTE)(NumDword), 2)==ERROR_SUCCESS)
            {
				//if(::RegQueryValueEx(hkResult ,(char far *)"Installed",NULL,
				//		&dwType	,(LPBYTE)(NumDword),&cbValue)==ERROR_SUCCESS)
                //{
		        //::MessageBox(NULL,"폜1","",MB_OK);
                //}
            }
		}
		//wsprintf(test,"%lx %lx %lx",NumDword[0],NumDword[1],NumDword[2]);
        //::MessageBox(NULL,"test",test,MB_OK);
		RegCloseKey(hkResult);
	}
	if(::RegOpenKeyEx(HKEY_LOCAL_MACHINE, "Enum\\Infrared",0,
				KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
	{
    	if(::RegDeleteKey(hkResult,"COM")==ERROR_SUCCESS)
        {
	        //::MessageBox(NULL,"폜2","",MB_OK);
        }
    	if(::RegDeleteKey(hkResult,"LPT")==ERROR_SUCCESS)
        {
	        //::MessageBox(NULL,"폜3","",MB_OK);
        }
		RegCloseKey(hkResult);
	}
   	if(::RegOpenKeyEx(HKEY_LOCAL_MACHINE, "Enum\\Network",0,
				KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
	{
    	if(::RegDeleteKey(hkResult,"FASTIR")==ERROR_SUCCESS)
        {
	        //::MessageBox(NULL,"폜4","",MB_OK);
        }
		RegCloseKey(hkResult);
	}
	if(::RegOpenKeyEx(HKEY_LOCAL_MACHINE, "Enum\\Root",0,
				KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
	{
    	if(::RegDeleteKey(hkResult,"Infrared")==ERROR_SUCCESS)
        {
	        //::MessageBox(NULL,"폜5","",MB_OK);
        }
		RegCloseKey(hkResult);
	}

	for(int n=0;n<20;n++)
	{
        memset(KeyName,'\0',sizeof(KeyName));
        wsprintf(KeyName,"Enum\\Root\\Net\\%04d",n);
		//::MessageBox(NULL,KeyName,"KeyName",MB_OK);
		if(::RegOpenKeyEx(HKEY_LOCAL_MACHINE,KeyName ,0,
				KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
		{
   			cbValue=sizeof(lpszValue);
        	memset(lpszValue,'\0',sizeof(lpszValue));
			dwType=REG_SZ;
			if(::RegQueryValueEx(hkResult ,(char far *)"CompatibleIDs",NULL,
				&dwType	,(LPBYTE)(lpszValue),&cbValue)==ERROR_SUCCESS)
			{
                char workbuffer[64];
                wsprintf(workbuffer,"%s",strupr(lpszValue));
                if(strcmp("IRMINI",workbuffer)==0)
                {
					RegCloseKey(hkResult);
					if(::RegOpenKeyEx(HKEY_LOCAL_MACHINE,"Enum\\Root\\Net" ,0,
						KEY_ALL_ACCESS	, &hkResult2)==ERROR_SUCCESS)
					{
	        			memset(KeyName,'\0',sizeof(KeyName));
    	    			wsprintf(KeyName,"%04d",n);
				    	if(::RegDeleteKey(hkResult2,KeyName)==ERROR_SUCCESS)
				        {
					        //::MessageBox(NULL,"폜6-1","",MB_OK);
				        }
						RegCloseKey(hkResult2);
                        break;
			        }

                }
            }
			RegCloseKey(hkResult);
		}
	}
	for(int n=0;n<20;n++)
	{
        memset(KeyName,'\0',sizeof(KeyName));
        wsprintf(KeyName,"Enum\\Root\\Net\\%04d",n);
		//::MessageBox(NULL,KeyName,"KeyName",MB_OK);
		if(::RegOpenKeyEx(HKEY_LOCAL_MACHINE,KeyName ,0,
				KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
		{
   			cbValue=sizeof(lpszValue);
        	memset(lpszValue,'\0',sizeof(lpszValue));
			dwType=REG_SZ;
			if(::RegQueryValueEx(hkResult ,(char far *)"HardwareID",NULL,
				&dwType	,(LPBYTE)(lpszValue),&cbValue)==ERROR_SUCCESS)
			{
                char workbuffer[64];
                wsprintf(workbuffer,"%s",strupr(lpszValue));
                if(strcmp("IRMINI",workbuffer)==0)
                {
					RegCloseKey(hkResult);
					if(::RegOpenKeyEx(HKEY_LOCAL_MACHINE,"Enum\\Root\\Net" ,0,
						KEY_ALL_ACCESS	, &hkResult2)==ERROR_SUCCESS)
					{
	        			memset(KeyName,'\0',sizeof(KeyName));
    	    			wsprintf(KeyName,"%04d",n);
				    	if(::RegDeleteKey(hkResult2,KeyName)==ERROR_SUCCESS)
				        {
					        //::MessageBox(NULL,"폜6-2","",MB_OK);
				        }
						RegCloseKey(hkResult2);
                        break;
			        }

                }
            }
			RegCloseKey(hkResult);
		}
	}


	if(::RegOpenKeyEx(HKEY_LOCAL_MACHINE, "System\\CurrentControlSet\\Services\\Class\\Infrared",0,
				KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
	{
		//foCXXg
    	if(::RegDeleteKey(hkResult,"0000")==ERROR_SUCCESS)
        {
        }
    	if(::RegDeleteKey(hkResult,"0001")==ERROR_SUCCESS)
        {
        }
    	if(::RegDeleteKey(hkResult,"0002")==ERROR_SUCCESS)
        {
        }
    	if(::RegDeleteKey(hkResult,"0003")==ERROR_SUCCESS)
        {
        }
    	if(::RegDeleteKey(hkResult,"0004")==ERROR_SUCCESS)
        {
        }
    	if(::RegDeleteKey(hkResult,"0005")==ERROR_SUCCESS)
        {
        }
    	if(::RegDeleteKey(hkResult,"0006")==ERROR_SUCCESS)
        {
        }
    	if(::RegDeleteKey(hkResult,"0007")==ERROR_SUCCESS)
        {
        }
    	if(::RegDeleteKey(hkResult,"0008")==ERROR_SUCCESS)
        {
        }
    	if(::RegDeleteKey(hkResult,"0009")==ERROR_SUCCESS)
        {
        }
    	if(::RegDeleteKey(hkResult,"0010")==ERROR_SUCCESS)
        {
        }
    	if(::RegDeleteKey(hkResult,"0011")==ERROR_SUCCESS)
        {
        }
    	if(::RegDeleteKey(hkResult,"0012")==ERROR_SUCCESS)
        {
        }
    	if(::RegDeleteKey(hkResult,"0013")==ERROR_SUCCESS)
        {
        }
    	if(::RegDeleteKey(hkResult,"0014")==ERROR_SUCCESS)
        {
        }
    	if(::RegDeleteKey(hkResult,"0015")==ERROR_SUCCESS)
        {
        }
    	if(::RegDeleteKey(hkResult,"0016")==ERROR_SUCCESS)
        {
        }
    	if(::RegDeleteKey(hkResult,"0017")==ERROR_SUCCESS)
        {
        }
    	if(::RegDeleteKey(hkResult,"0018")==ERROR_SUCCESS)
        {
        }
    	if(::RegDeleteKey(hkResult,"0019")==ERROR_SUCCESS)
        {
        }
        //::MessageBox(NULL,"폜7","",MB_OK);
		RegCloseKey(hkResult);
	}


	for(int n=0;n<20;n++)
	{
        memset(KeyName,'\0',sizeof(KeyName));
        wsprintf(KeyName,"System\\CurrentControlSet\\Services\\Class\\Net\\%04d",n);
		//::MessageBox(NULL,KeyName,"KeyName",MB_OK);
		if(::RegOpenKeyEx(HKEY_LOCAL_MACHINE,KeyName ,0,
				KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
		{
   			cbValue=sizeof(lpszValue);
        	memset(lpszValue,'\0',sizeof(lpszValue));
			dwType=REG_SZ;
			if(::RegQueryValueEx(hkResult ,(char far *)"AdapterName",NULL,
				&dwType	,(LPBYTE)(lpszValue),&cbValue)==ERROR_SUCCESS)
			{
                char workbuffer[64];
                wsprintf(workbuffer,"%s",strupr(lpszValue));
                if(strcmp("IRMINI",workbuffer)==0)
                {
					RegCloseKey(hkResult);
					if(::RegOpenKeyEx(HKEY_LOCAL_MACHINE,"System\\CurrentControlSet\\Services\\Class\\Net" ,0,
						KEY_ALL_ACCESS	, &hkResult2)==ERROR_SUCCESS)
					{
	        			memset(KeyName,'\0',sizeof(KeyName));
    	    			wsprintf(KeyName,"%04d",n);
				    	if(::RegDeleteKey(hkResult2,KeyName)==ERROR_SUCCESS)
				        {
					        //::MessageBox(NULL,"폜8","",MB_OK);
				        }
						RegCloseKey(hkResult2);
                        break;
			        }

                }
            }
			RegCloseKey(hkResult);
		}
	}
	for(int n=0;n<20;n++)
	{
        memset(KeyName,'\0',sizeof(KeyName));
        wsprintf(KeyName,"System\\CurrentControlSet\\Services\\Class\\NetTrans\\%04d",n);
		//::MessageBox(NULL,KeyName,"KeyName",MB_OK);
		if(::RegOpenKeyEx(HKEY_LOCAL_MACHINE,KeyName ,0,
				KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
		{
   			cbValue=sizeof(lpszValue);
        	memset(lpszValue,'\0',sizeof(lpszValue));
			dwType=REG_SZ;
			if(::RegQueryValueEx(hkResult ,(char far *)"InfPath",NULL,
				&dwType	,(LPBYTE)(lpszValue),&cbValue)==ERROR_SUCCESS)
			{
                char workbuffer[64];
                wsprintf(workbuffer,"%s",strupr(lpszValue));
                if(strcmp("FASTIR.INF",workbuffer)==0)
                {
					RegCloseKey(hkResult);
					if(::RegOpenKeyEx(HKEY_LOCAL_MACHINE,"System\\CurrentControlSet\\Services\\Class\\NetTrans" ,0,
						KEY_ALL_ACCESS	, &hkResult2)==ERROR_SUCCESS)
					{
	        			memset(KeyName,'\0',sizeof(KeyName));
    	    			wsprintf(KeyName,"%04d",n);
				    	if(::RegDeleteKey(hkResult2,KeyName)==ERROR_SUCCESS)
				        {
					        //::MessageBox(NULL,"폜9","",MB_OK);
				        }
						RegCloseKey(hkResult2);
                        break;
			        }

                }
            }
			RegCloseKey(hkResult);
		}
	}

    memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
    GetSystemDirectory(SystemDirectoryName,sizeof(SystemDirectoryName));
    strcat(SystemDirectoryName,"\\Infrared.cpl")  ;
  	//::MessageBox(NULL,SystemDirectoryName,"SystemDirectoryName",MB_OK);
    ::DeleteFile(SystemDirectoryName);

   	if(::RegOpenKeyEx(HKEY_LOCAL_MACHINE, "Software\\Microsoft\\Windows\\CurrentVersion\\RunOnce",0,
				KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
	{
        memset(SystemDirectoryName,'\0',sizeof(SystemDirectoryName));
		GetCurrentDirectory(sizeof(SystemDirectoryName),SystemDirectoryName);
   		strcat(SystemDirectoryName,"\\msir98ui.exe /F");
        RegSetValueEx(hkResult,"MsIr98UI", 0,REG_SZ  ,(BYTE *)SystemDirectoryName, strlen(SystemDirectoryName)+1);
		RegCloseKey(hkResult);
	}


    if(::MessageBox(NULL,"Restart Windows!","Notice!",MB_OKCANCEL	)==IDOK)
    {

    	::ExitWindowsEx(   EWX_REBOOT	, NULL);
    }

}




void TSetMsIrDlgClient::RoadMemoryStartupBNClicked()
{
  // INSERT>> ǉR[h͂
	HKEY  hkResult;
	if(::RegOpenKeyEx(HKEY_LOCAL_MACHINE, "Software\\Microsoft\\Windows\\CurrentVersion\\run",0,
				KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
	{
		char buffer[64];
        memset(buffer,'\0',sizeof(buffer));
   		strcat(buffer,"IrMon.exe");
        RegSetValueEx(hkResult,"IrMon", 0,REG_SZ  ,(BYTE *)buffer, strlen(buffer)+1);
		RegCloseKey(hkResult);
	}

}


void TSetMsIrDlgClient::RoadMemoryYouNeedBNClicked()
{
  // INSERT>> ǉR[h͂
	HKEY  hkResult;
	if(::RegOpenKeyEx(HKEY_LOCAL_MACHINE, "Software\\Microsoft\\Windows\\CurrentVersion\\run",0,
				KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
	{
    	if(::RegDeleteValue(hkResult,"IrMon")==ERROR_SUCCESS)
        {
	        //::MessageBox(NULL,"폜10","",MB_OK);
        }
		RegCloseKey(hkResult);
	}

}



void TSetMsIrDlgClient::KillMsIrdaBNClicked()
{
  // INSERT>> ǉR[h͂
  //ForTranxitBNClicked();

  GetApplication()->GetMainWindow()->SetWindowText("MSIrDA-UI");
  if(SetMsIr->SetMsIrToKill())
  {
    StatusEdit->SetText(SetMsIr->SettingMessageStr);
  }
  else
  {
  		//GetApplication()->PumpWaitingMessages();
	  	//if(SetMsIr->SetMsIrToKill())
	  	//{
    	//	StatusEdit->SetText(SetMsIr->SettingMessageStr);
      	//}
      	//else
      	//{
      		StatusEdit->SetText(SetMsIr->SettingMessageStr);
    	//	GetApplication()->GetMainWindow()->SetWindowText("MSIrDA-UI - fault -");
      	//}
  }


}

